Bug 82374 - Certain text/plain MIME messages cause evolution to crash
Certain text/plain MIME messages cause evolution to crash
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
8.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-21 13:44 EST by James Antill
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-02 01:02:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
two line fix for NULL ptr de-ref in MIME text/plain (503 bytes, text/plain)
2003-01-21 17:04 EST, James Antill
no flags Details

  None (edit)
Description James Antill 2003-01-21 13:44:33 EST
Description of problem:
 Evolution crashed constantly when trying to read one message... creaded a 2
line patch.

Version-Release number of selected component (if applicable):


How reproducible:
 always.

Steps to Reproduce:
1. Get weird MIME message ... patch is obvious.
2.
3.
    
Actual results:


Expected results:


Additional info:
 New RPMs are available from http://people.redhat.com/jantill/evolution/
everything works fine for that message after using that package.
Comment 1 James Antill 2003-01-21 17:04:32 EST
Created attachment 89491 [details]
two line fix for NULL ptr de-ref in MIME text/plain

 This is the two line patch from the SRPM given in the comments...
Comment 2 Jeremy Katz 2003-02-02 01:02:31 EST
Added to CVS on a branch for if we ever do a 1.0.x errata for any reason. 
Doesn't seem to be a problem with the 1.2.x code

Note You need to log in before you can comment on or make changes to this bug.